# Uses of Interface
org.github.jamm.MemoryMeterListener.Factory

Packages that use MemoryMeterListener.Factory
Package
Description
org.github.jamm
org.github.jamm.listeners

## Uses of MemoryMeterListener.Factory in org.github.jamm

Constructors in org.github.jamm with parameters of type MemoryMeterListener.Factory
Modifier
Constructor
Description
``
`MemoryMeter(MemoryMeterStrategy strategy, FieldAndClassFilter classFilter, FieldFilter fieldFilter, MemoryMeterListener.Factory listenerFactory)`
Create a new `MemoryMeter` instance from the different component it needs to measure object graph.

## Uses of MemoryMeterListener.Factory in org.github.jamm.listeners

Classes in org.github.jamm.listeners that implement MemoryMeterListener.Factory
Modifier and Type
Class
Description
`static class`
`TreePrinter.Factory`
Factory for `TreePrinter` instances.
Fields in org.github.jamm.listeners declared as MemoryMeterListener.Factory
Modifier and Type
Field
Description
`static final MemoryMeterListener.Factory`
NoopMemoryMeterListener.`FACTORY`